%define upstream_name    Sys-HostIP
%define upstream_version 2.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to get ip address related info
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/~bluelines/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/B/BL/BLUELINES//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Sys::HostIP does what it can to determine the ip address of your machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1506208
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1286222
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 2.0.0-1.mga7
+ Revision: 1133304
- update to 2.000

* Sun Jun 19 2016 pterjan <pterjan> 1.970.0-6.mga6
+ Revision: 1033590
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.970.0-5.mga6
+ Revision: 945729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.970.0-4.mga5
+ Revision: 739574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.970.0-3.mga5
+ Revision: 686282
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.970.0-2.mga4
+ Revision: 527308
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.970.0-1.mga4
+ Revision: 439898
- update to 1.97

* Sun Jan 13 2013 umeabot <umeabot> 1.960.0-2.mga3
+ Revision: 372929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.960.0-1.mga3
+ Revision: 315857
- update to 1.96

* Fri Feb 24 2012 jquelin <jquelin> 1.950.0-1.mga2
+ Revision: 213764
- update to 1.95

* Tue Feb 22 2011 jquelin <jquelin> 1.810.0-1.mga1
+ Revision: 56888
- update to 1.81

* Thu Jan 20 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 27040
- mageia rebuild
- imported package perl-Sys-HostIP


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-1mdv2011.0
+ Revision: 596678
- update to 1.7

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.3.1-5mdv2010.0
+ Revision: 430547
- rebuild

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 1.3.1-4mdv2009.0
+ Revision: 230903
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.3.1-3mdv2008.0
+ Revision: 23837
- rebuild


* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.3.1-2mdk
- Do not ship empty dir

* Wed Sep 21 2005 Michael Scherer <misc@mandriva.org> 1.3.1-1mdk
- First mandriva package

